'use strict';

var _resolvePlugins = require('./resolvePlugins');

var _resolvePlugins2 = _interopRequireDefault(_resolvePlugins);

var _babelPresetFlow = require('babel-preset-flow');

var _babelPresetFlow2 = _interopRequireDefault(_babelPresetFlow);

var _babelPresetEs = require('babel-preset-es2016');

var _babelPresetEs2 = _interopRequireDefault(_babelPresetEs);

var _babelPresetEs3 = require('babel-preset-es2017');

var _babelPresetEs4 = _interopRequireDefault(_babelPresetEs3);

var _babelPresetStage = require('babel-preset-stage-0');

var _babelPresetStage2 = _interopRequireDefault(_babelPresetStage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

module.exports = {
  presets: [_babelPresetFlow2.default, _babelPresetEs2.default, _babelPresetEs4.default, _babelPresetStage2.default],
  plugins: (0, _resolvePlugins2.default)(['syntax-jsx', 'transform-react-display-name', ['transform-react-jsx', {
    pragma: 'createElement' // default pragma is React.createElement
  }], 'transform-jsx-stylesheet',
  // webpack 3 may not need this plugin
  process.env.BABEL_NO_ADD_MODULE_EXPORTS ? null : 'add-module-exports']),
  env: {
    development: {
      plugins: (0, _resolvePlugins2.default)(['transform-react-jsx-source', 'transform-react-jsx-self'])
    },
    production: {
      plugins: (0, _resolvePlugins2.default)(['transform-react-constant-elements', 'minify-dead-code-elimination'])
    }
  }
};